package edu.uoc.framework.core.configuration.adapters;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import edu.uoc.framework.core.configuration.Action;
import edu.uoc.framework.core.configuration.Actions;


/**
 *<p>Clase adaptador utilizada por JAXB para definir cómo debe realizarse el proceso de marshal y unmarshal de
 *los {@link edu.uoc.framework.core.configuration.Actions} recuperados del fichero de configuración del framework.</p>
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class ActionMapAdapter extends XmlAdapter<Actions, Map<String, Action>> {

	@Override
	public Actions marshal(Map<String, Action> v) throws java.lang.Exception {
		return null;
	}

	/**
	 * Método que durante el proceso de unmarshal del objeto {@link edu.uoc.framework.core.configuration.Actions} 
	 * (que contiene una colección de clases {@link edu.uoc.framework.core.configuration.Action})
	 * convierta ésta en una tabla de hash en donde las claves sean el nombre del action
	 * y el valor el objeto {@link edu.uoc.framework.core.configuration.Action}.</p>
	 */
	@Override
	public Map<String, Action> unmarshal(Actions actions) 
	throws java.lang.Exception 
	{
		Map<String, Action> excepciones = new HashMap<String,Action>();
		Action currentAction = null;
		for (Iterator<Action> iterator = actions.getAction().iterator(); iterator.hasNext();) 
		{
			currentAction = iterator.next();
			excepciones.put(currentAction.getName(), currentAction);
		}
		return excepciones;
	} 
}
