package edu.uoc.framework.core.configuration.adapters;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import edu.uoc.framework.core.configuration.Form;
import edu.uoc.framework.core.configuration.Forms;

/**
 *<p>Clase adaptador utilizada por JAXB para definir cómo debe realizarse el proceso de marshal y unmarshal de
 *los {@link edu.uoc.framework.core.configuration.Forms} recuperados del fichero de configuración del framework.</p>
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class FormsMapAdapter extends XmlAdapter<Forms, Map<String, Form>> {

	@Override
	public Forms marshal(Map<String, Form> v) throws Exception {
		return null;
	}

	/**
	 * Método que durante el proceso de unmarshal del objeto {@link edu.uoc.framework.core.configuration.Forms} 
	 * (que contiene una colección de clases {@link edu.uoc.framework.core.configuration.Form})
	 * convierta éste en una tabla de hash en donde las claves sean el nombre del Form
	 * y el valor el objeto {@link edu.uoc.framework.core.configuration.Form}.</p>
	 */
	@Override
	public Map<String, Form> unmarshal(Forms forms) 
	throws Exception 
	{
		Map<String, Form> formularios = new HashMap<String,Form>();
		Form currentForm = null;
		for (Iterator<Form> iterator = forms.getForm().iterator(); iterator.hasNext();) 
		{
			currentForm = iterator.next();
			formularios.put(currentForm.getName(), currentForm);
		}
		return formularios;
	} 

}
