package edu.uoc.framework.core.configuration.adapters;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import edu.uoc.framework.core.configuration.Interceptor;
import edu.uoc.framework.core.configuration.Interceptors;


/**
 *<p>Clase adaptador utilizada por JAXB para definir cómo debe realizarse el proceso de marshal y unmarshal de
 *los {@link edu.uoc.framework.core.configuration.Interceptors} recuperados del fichero de configuración del framework.</p>
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class InterceptorMapAdapter extends XmlAdapter<Interceptors, Map<String, String>> {

	@Override
	public Interceptors marshal(Map<String, String> v) throws Exception {
		return null;
	}

	/**
	 * Método que durante el proceso de unmarshal del objeto {@link edu.uoc.framework.core.configuration.Interceptors} 
	 * (que contiene una colección de clases {@link edu.uoc.framework.core.configuration.Interceptor})
	 * convierta éste en una tabla de hash en donde las claves sean el nombre del Form
	 * y el valor el objeto {@link edu.uoc.framework.core.configuration.Interceptor}.</p>
	 */
	@Override
	public Map<String, String> unmarshal(Interceptors interceptors) 
	throws Exception 
	{
		Map<String, String> interceptorsMap = new HashMap<String,String>();
		Interceptor nameClass = null;
		for (Iterator<Interceptor> iterator = interceptors.getInterceptor().iterator(); iterator.hasNext();) 
		{
			nameClass = iterator.next();
			interceptorsMap.put(nameClass.getName(), nameClass.getClazz());
		}
		return interceptorsMap;
	} 
}
