package edu.uoc.framework.utilities;

/**
 * Clase que contiene la declaración de las constantes utilizadas por JavaMVC 
 * durante su ejecución. 
 */
public class Constants {
	
	/**
	 * Nombre del atributo almacenado en el contexto de la aplicación, encargado 
	 * de contener la ubicación de los ficheros de internacionalización que se 
	 * utilizarán en la aplicación.
	 * 
	 * Este atributo será utilizado por los Tags destinados a mostrar mensajes 
	 * internacionalizados en caso de no haber informado otro.
	 **/
	public static final String JavaMVC_I18N = "edu.uoc.framework.i18n";
	
	/**
	 * Nombre del atributo de sesión al que por defecto se irá a buscar
	 * el locale.
	 * Este atributo será utilizado por los Tags destinados a mostrar
	 * mensajes internacionalizados en caso de no haber informado otro.
	 */
	public static final String JavaMVC_Locale = "edu.uoc.framework.locale";
	
	/**
	 * Nombre del atributo de la request que contendrá los mensajes de error 
	 * resultantes tras la validación de un Form o un Action. 
	 */
	public static final String JavaMVC_ErrorMessages = "edu.uoc.framework.error.messages";
	
	/**
	 * Nombre del atributo de la request que almacenará el patrón de URLs que
	 * son servidas por el FrontController.
	 */
	public static final String JavaMVC_UrlPattern = "edu.uoc.framework.urlPattern";
	
	/**
	 * Nombre del atributo que almacenará en la request la excepción sucedida
	 * durante la ejecución de una petición.
	 */
	public static final String JavaMVC_Exception = "edu.uoc.framework.exception";
	
	/**
	 * Página JSP que utilizará JavaMVC para mostrar aquellas excepciones no controladas
	 * que puedan suceder durante la ejecución de una petición.
	 */
	public static final String JavaMVC_ExceptionPage = "/JavaMVCErrorPage.jsp";
}
