<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/META-INF/JavaMVC-html.tld" prefix="html"%>
<%@ taglib uri="/META-INF/JavaMVC-i18n.tld" prefix="i18n"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title><i18n:message key="contactSearch.title"/></title>
		<!-- Bootstrap core CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
		<!-- Custom CSS -->
		<link href="/phonebook/css/phonebook.css" rel="stylesheet" type="text/css" />

	    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	    <!--[if lt IE 9]>
	      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	    <![endif]-->
	</head>
	<body>

		<div class="container">
		
			<jsp:include page="/jsp/header.jsp">
				<jsp:param value="contactSearch" name="from"/>
			</jsp:include>
			<div class="well content-search">
				<h2><i18n:message key="contactSearch.title"/></h2>
				<html:form action="ContactSearch" method="post">
					
					<div class="row form-group">
						<div class="col-md-6">
							<label for="name"><i18n:message key="contactSearch.name.label"/></label>
							<input type="text" name="name" class="form-control" maxlength="20" value="${name}">
						</div>
						<div class="col-md-6">
							<label for="phone"><i18n:message key="contactSearch.phone.label"/></label>
							<input type="text" name="phone" class="form-control" maxlength="15" value="${phone}">
						</div>
					</div>
					<div class="row form-group">
						<div class="col-md-6">
							<label for="town"><i18n:message key="contactSearch.town.label"/></label>
								<input type="text" name="town" maxlength="60" class="form-control" value="${town}">
						</div>
						<div class="col-md-6">
							<label for="zipCode"><i18n:message key="contactSearch.zipCode.label"/></label>
								<input type="text" name="zipCode" class="form-control" maxlength="10" value="${zipCode}">
						</div>
					</div>
					<div class="row form-group">
						<div class="col-md-6">
							<label for="startDate"><i18n:message key="contactSearch.startDate.label"/></label>
							<input type="text" name="startDate" class="form-control" maxlength="10" value="${startDate}" placeholder="dd-mm-yyyy">
						</div>
						<div class="col-md-6">
							<label for="endDate"><i18n:message key="contactSearch.endDate.label"/></label>
							<input type="text" name="endDate" class="form-control" maxlength="10" value="${endDate}" placeholder="dd-mm-yyyy">
						</div>
					</div>

					<div class="form-group">
						<input type="button" class="btn btn-default" value='<i18n:message key="contactSearch.cancel.button.label"/>' onclick="location.href='/phonebook/jsp/phonebookMenu.jsp'"/>
						<input type="submit" class="btn btn-primary" value='<i18n:message key="contactSearch.search.button.label"/>'/>
					</div>
				</html:form>
				<div class="text-danger">
					<i18n:errors suffix="<br>"/>
				</div>
				<div>
					<c:if test="${result!=null && result.size()>0}">
						<jsp:include page="/jsp/searchResults.jsp"/>
					</c:if>
					<c:if test="${result!=null && result.size()==0}">
						<i18n:message key="searchResults.empty"/>
					</c:if>
				</div>
			</div>
		</div>
	</body>
</html>