<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/META-INF/JavaMVC-html.tld" prefix="html"%>
<%@ taglib uri="/META-INF/JavaMVC-i18n.tld" prefix="i18n"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title><i18n:message key="user.creation.title"/></title>
		<!-- Bootstrap core CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
		<!-- Custom CSS -->
		<link href="/phonebook/css/phonebook.css" rel="stylesheet" type="text/css" />

	    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	    <!--[if lt IE 9]>
	      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	    <![endif]-->
	</head>
	<body>

		<div class="container">
		
			<jsp:include page="/jsp/header.jsp">
				<jsp:param value="createuser" name="from"/>
			</jsp:include>
			<div class="well content-createuser">
				<h2><i18n:message key="user.creation.title"/></h2>
				<html:form action="CreateUser" method="post">
				
				<div class="form-group">
					<label for="username"><i18n:message key="user.username.label"/></label>
					<input type="text" name="username" maxlength="45" class="form-control" value="${user!=null?user.username:username}">
					<div class="text-danger"><i18n:errors property="username"/></div>
				</div>
				<div class="form-group">
					<label for="password"><i18n:message key="user.password.label"/></label>
					<input type="password" name="password" maxlength="45" class="form-control">
					<div class="text-danger"><i18n:errors property="password"/></div>
				</div>
				<div class="form-group">
					<label for="repassword"><i18n:message key="user.repassword.label"/></label>
					<input type="password" name="repassword" maxlength="45" class="form-control">
					<div class="text-danger"><i18n:errors property="repassword"/></div>
				</div>
				<div class="form-group">	
					<label for="email"><i18n:message key="user.email.label"/></label>
					<input type="text" name="email" class="form-control" maxlength="255" value="${user!=null?user.email:email}">
					<div class="text-danger"><i18n:errors property="email"/></div>
				</div>
				<div class="form-group">
					<input type="button" class="btn btn-default" value='<i18n:message key="user.cancel.button.label"/>' onclick="location.href='/phonebook/jsp/login.jsp'"/>
					<input type="submit" class="btn btn-primary" value='<i18n:message key="user.save.button.label"/>'/>
				</div>
				</html:form>
				<div class="text-danger">
					<i18n:errors property="errors"/>
				</div>
			</div>
		</div>
	</body>
</html>