<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/META-INF/JavaMVC-html.tld" prefix="html"%>
<%@ taglib uri="/META-INF/JavaMVC-i18n.tld" prefix="i18n"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title><i18n:message key="contact.edition.title"/></title>
		<!-- Bootstrap core CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
		<!-- Custom CSS -->
		<link href="/phonebook/css/phonebook.css" rel="stylesheet" type="text/css" />

	    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	    <!--[if lt IE 9]>
	      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	    <![endif]-->
	</head>
	<body>

		<div class="container">
		
			<jsp:include page="/jsp/header.jsp">
				<jsp:param name="from" value="contactSearch"/>
			</jsp:include>
			
			<div class="well content-createcontact">
				<h2><i18n:message key="contact.edition.title"/></h2>
				
				<html:form action="UpdateContact" method="post">
					
					<div class="form-group">
						<label for="name"><i18n:message key="contact.name.label"/></label>
						<input type="text" name="name" class="form-control" maxlength="20" value="${contact!=null?contact.name:name}">
						<div class="text-danger"><i18n:errors property="name"/></div>				
					</div>
					
					<div class="form-group">
						<label for="name"><i18n:message key="contact.name.label"/></label>
						<input type="text" name="name" maxlength="20" class="form-control" value="${contact.name!=null?contact.name:name}">
						<div class="text-danger"><i18n:errors property="name"/></div>
					</div>
					<div class="form-group">
						<label for="surname"><i18n:message key="contact.surname.label"/></label>
						<input type="text" name="surname" maxlength="45" class="form-control" value="${contact.surname!=null?contact.surname:surname}"/>
					</div>
					<div class="form-group">
						<label for="phone"><i18n:message key="contact.phone.label"/></label>
						<input type="text" name="phone" maxlength="15" class="form-control input-sm" value="${contact.phone!=null?contact.phone:phone}">
						<div class="text-danger"><i18n:errors property="phone"/></div>
					</div>
					<div class="form-group">	
						<label for="email"><i18n:message key="contact.email.label"/></label>
						<input type="text" name="email" maxlength="255" class="form-control" value="${contact.email!=null?contact.email:email}">
						<div class="text-danger"><i18n:errors property="email"/></div>
					</div>
					<div class="form-group">		
						<label for="address"><i18n:message key="contact.address.label"/></label>
						<input type="text" name="address" maxlength="255" class="form-control" value="${contact.address!=null?contact.address:address}">
					</div>
					<div class="form-group">	
						<label for="zipCode"><i18n:message key="contact.zipCode.label"/></label>
						<input type="text" name="zipCode" maxlength="10" class="form-control input-sm" value="${contact.zipCode!=null?contact.zipCode:zipCode}">
					</div>
					<div class="form-group">						
						<label for="town"><i18n:message key="contact.town.label"/></label>
						<input type="text" name="town" maxlength="60" class="form-control" value="${contact.town!=null?contact.town:town}">
					</div>
					<div class="form-group">	
						<label for="birthDate"><i18n:message key="contact.birthDate.label"/></label>
						<input type="text" name="birthDate" maxlength="10" class="form-control input-sm" placeholder="dd-mm-yyyy" value="${contact.birthDate!=null?contact.birthDate:birthDate}">
						<div class="text-danger"><i18n:errors property="birthDate"/></div>
					</div>
						<input type="hidden" name="contactId" value="${contact.contactId!=null?contact.contactId:contactId}"/>
					
					<div class="form-group">
						<input type="button" class="btn btn-default" value='<i18n:message key="contact.cancel.button.label"/>' onclick="location.href='/phonebook/jsp/contactSearch.jsp'"/>
						<input type="submit" class="btn btn-primary" value='<i18n:message key="contact.update.button.label"/>'/>
					</div>					
				</html:form>
				
				<div class="text-success">
					<i18n:message attribute="success"/>
				</div>
				<div class="text-danger">
					<i18n:errors property="errors"/>
				</div>
			</div>
		</div>
	</body>
</html>