<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/META-INF/JavaMVC-html.tld" prefix="html"%>
<%@ taglib uri="/META-INF/JavaMVC-i18n.tld" prefix="i18n"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title><i18n:message key="login.title"/></title>
		<!-- Bootstrap core CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
		<!-- Custom CSS -->
		<link href="/phonebook/css/phonebook.css" rel="stylesheet" type="text/css" />

	    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	    <!--[if lt IE 9]>
	      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	    <![endif]-->
	</head>
	<body>
		
		<div class="container">
			<jsp:include page="/jsp/header.jsp">
				<jsp:param value="login" name="from"/>
			</jsp:include>
			<div class="well content-login">
				<h2><i18n:message key="phonebook.main.title"/></h2>
				<html:form action="Login" method="post">
				
					<div class="form-group">
						<label for="username"><i18n:message key="login.username.label"/></label>
						<input type="text" name="username" maxlength="45" class="form-control" placeholder="<i18n:message key="login.username.label"/>" value="${username}">				
					</div>
					<div class="form-group">
						<label for="password"><i18n:message key="login.password.label"/></label>
						<input type="password" name="password" maxlength="45" class="form-control" placeholder="<i18n:message key="login.password.label"/>" value="${password}">
					</div>
					<div class="form-group">
					     <a href="<c:url value="/jsp/createUser.jsp"/>"><i18n:message key="login.new.user.label"/></a>
					</div>
					<div class="form-group">
					      <input class="btn btn-primary" type="submit" value='<i18n:message key="login.button.label"/>'/>
					</div>
						
				</html:form>
				<div class="error text-danger">
					<i18n:errors property="errors"/>
			   	</div>
			</div>
		</div>
	</body>
</html>