<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/META-INF/JavaMVC-html.tld" prefix="html"%>
<%@ taglib uri="/META-INF/JavaMVC-i18n.tld" prefix="i18n"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<script type="text/javascript">
	function confirmPopup (message, contactId)
	{
		if (confirm(message) == true) {
			window.location="DeleteContact.do?contactId=" + contactId;
		}
	}
</script>

<table class="table table-striped table-bordered table-search-results">
	<thead>	
		<tr>
			<td width="35%">
				<i18n:message key="searchresults.name.label"/>
			</td>
			<td width="10%">
				<i18n:message key="searchresults.phone.label"/>
			</td>
			<td width="35%">
				<i18n:message key="searchresults.email.label"/>
			</td>
			<td width="18%">
				<i18n:message key="searchresults.birthdate.label"/>
			</td>
			<td width="2%">
				<i18n:message key="searchresults.actions.label"/>
			</td>
		</tr>
	</thead>
	<tbody>
		<c:forEach items="${result}" var="contact">
			<tr>
				<td>
					<c:out value="${contact.name}"/>
				</td>
				<td>
					<c:out value="${contact.phone}"/>
				</td>
				<td>
					<c:out value="${contact.email}"/>
				</td>
				<td>
					<c:out value="${contact.birthDate}"/>
				</td>
				<td class="wrap-glyphicon">
					<span class="glyphicon glyphicon-trash" aria-hidden="true" alt='<i18n:message key="searchresults.delete.button"/>'
					onclick="javascript:confirmPopup('<i18n:message key="contact.delete.confirmation"/>', ${contact.contactId});"></span>

					<a href='<c:url value="EditContact.do?contactId=${contact.contactId}"/>'>
						<span class="glyphicon glyphicon-edit" aria-hidden="true" alt='<i18n:message key="searchresults.edit.button"/>'></span>
					</a>
				</td>
		</c:forEach>
	</tbody>
</table>