<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="/META-INF/JavaMVC-html.tld" prefix="html"%>
<%@ taglib uri="/META-INF/JavaMVC-i18n.tld" prefix="i18n"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title><i18n:message key="user.updatepassword.title"/></title>
		<!-- Bootstrap core CSS -->
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
		<!-- Custom CSS -->
		<link href="/phonebook/css/phonebook.css" rel="stylesheet" type="text/css" />

	    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	    <!--[if lt IE 9]>
	      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
	      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	    <![endif]-->
	</head>
	<body>
	
		<div class="container">
		
			<jsp:include page="/jsp/header.jsp">
				<jsp:param value="updatePassword" name="from"/>
			</jsp:include>
			
			<div class="well wrap-updatepassword">
				<h2><i18n:message key="user.updatepassword.title"/></h2>
				<html:form action="UpdatePassword" method="post">
				
					<div class="form-group">
						<label for="oldPassword"><i18n:message key="user.oldpassword.label"/></label>
						<input type="password" name="oldPassword" maxlength="45" class="form-control">
						<div class="text-danger"><i18n:errors property="oldPassword"/></div>				
					</div>
					<div class="form-group">
						<label for="newPassword"><i18n:message key="user.newpassword.label"/></label>
						<input type="password" name="newPassword" maxlength="45" class="form-control">
						<div class="text-danger"><i18n:errors property="newPassword"/></div>				
					</div>
					<div class="form-group">
						<label for="newRePassword"><i18n:message key="user.renewpassword.label"/></label>
						<input type="password" name="newRePassword" maxlength="45" class="form-control">
						<div class="text-danger"><i18n:errors property="newRePassword"/></div>			
					</div>
	
					<div class="form-group">
						<input class="btn btn-default" type="button" value='<i18n:message key="user.cancel.button.label"/>' onclick="location.href='/phonebook/jsp/phonebookMenu.jsp'"/>
						<input class="btn btn-primary" type="submit" value='<i18n:message key="user.update.button.label"/>'/>
					</div>
		
				</html:form>
				<div class="text-danger">
					<i18n:errors property="errors"/>
				</div>
				<div class="text-success">
					<i18n:message attribute="success" scope="request"/>
				</div>
			</div>
		</div>
	</body>
</html>