-- Se crea el squema
CREATE SCHEMA `phonebook` DEFAULT CHARACTER SET utf8 ;

-- -----------------------------------------------------
-- Table `phonebook`.`user`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `phonebook`.`user` (
  `userId` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `username` VARCHAR(45) NOT NULL ,
  `password` VARCHAR(45) NOT NULL ,
  `email` VARCHAR(255) NOT NULL ,
  PRIMARY KEY (`userId`) ,
  UNIQUE INDEX `username_UNIQUE` (`username` ASC) ,
  UNIQUE INDEX `email_UNIQUE` (`email` ASC) )
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;

-- -----------------------------------------------------
-- Table `phonebook`.`contact`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `phonebook`.`contact` (
  `contactId` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(20) NOT NULL ,
  `surname` VARCHAR(45) NULL DEFAULT NULL ,
  `address` VARCHAR(255) NULL DEFAULT NULL ,
  `zipCode` VARCHAR(10) NULL DEFAULT NULL ,
  `phone` VARCHAR(15) NOT NULL ,
  `email` VARCHAR(255) NULL DEFAULT NULL ,
  `town` VARCHAR(60) NULL DEFAULT NULL ,
  `birthdate` DATE NULL DEFAULT NULL ,
  `userId` INT(10) UNSIGNED NOT NULL ,
  PRIMARY KEY (`contactId`) ,
  UNIQUE INDEX `unique_userPhone` (`userId` ASC, `phone` ASC) ,
  UNIQUE INDEX `unique_userEmail` (`userId` ASC, `email` ASC) ,
  INDEX `idx_fk_contact_user` (`contactId` ASC) ,
  CONSTRAINT `fk_contact_user`
    FOREIGN KEY (`userId` )
    REFERENCES `phonebook`.`user` (`userId` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;

-- Se crea un usuario para las conexiones desde la Aplicación
GRANT SELECT, INSERT, DELETE, UPDATE ON phonebook.* TO 'phonebookuser'@'%' IDENTIFIED BY 'phonebookpass';

GRANT SELECT, INSERT, DELETE, UPDATE ON phonebook.* TO 'phonebookuser'@'localhost' IDENTIFIED BY 'phonebookpass';