package edu.uoc.phonebook.business.dataobject;

import java.util.Date;

import edu.uoc.phonebook.utils.Utils;

/**
 * Clase que representa a un contacto de la agenda. 
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class Contact {

	/**
	 * Identificador del usuario en cuya agenda existe el contacto
	 */
	private Integer userId;
	/**
	 * Nombre
	 */
	private String name;
	/**
	 * Apellidos
	 */
	private String surname;
	/**
	 * Dirección
	 */
	private String address;
	/**
	 * Código Postal
	 */
	private String zipCode;
	/**
	 * Teléfono
	 */
	private String phone;
	/**
	 * Correo electrónico
	 */
	private String email;
	/**
	 * Ciudad
	 */
	private String town;
	/**
	 * Fecha de nacimiento
	 */
	private Date birthdate;
	/**
	 * Identificador del contacto
	 */
	private Integer contactId;
	/**
	 * Cadena que representa la fecha de nacimiento en formato dd-mm-yyyy
	 */
	private String birthDate;
	
	
	public Contact(){
	}
	
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSurname() {
		return surname;
	}
	public void setSurname(String surname) {
		this.surname = surname;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getZipCode() {
		return zipCode;
	}
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getTown() {
		return town;
	}
	public void setTown(String town) {
		this.town = town;
	}
	public Date getBirthdate() {
		return birthdate;
	}
	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
		if (birthdate!=null)
			setBirthDate(Utils.formatterDMY.format(birthdate));
	}
	public Integer getContactId() {
		return contactId;
	}
	public void setContactId(Integer contactId) {
		this.contactId = contactId;
	}
	public void setBirthDate (String birthDate) {
		this.birthDate = birthDate;
	}
	public String getBirthDate() {
		return birthDate;
	}
}
