package edu.uoc.phonebook.integration.controllers;

import org.apache.log4j.Logger;
import org.hibernate.HibernateException;
import org.hibernate.Session;

import edu.uoc.phonebook.integration.HibernateSessionFactory;

public class BaseController 
{
	private static final Logger LOG = Logger.getLogger(BaseController.class);
	
	/**
	 * Método que permite recuperar una sesion de la factoría de sesiones de Hibernate. 
	 * 
	 * @return {@lynk Session}
	 */
	protected Session getSession()
    {
    	Session session = null;
    	try
    	{
    		session = HibernateSessionFactory.getSessionFactory().openSession();
    	}
    	catch (HibernateException e)
    	{
    		LOG.error("Error al recuperar una sesión de la factoría");
    	}
        return session;
    }

	/**
	 * Método que permite liberar una sesion. 
	 */
	protected void releaseSession(Session session)
    {
    	try
    	{
    		if (session!=null)
    			session.close();
    	}
    	catch (HibernateException e)
    	{
    		LOG.error("Error liberando la sessión");
    	}
    }
}
