package edu.uoc.phonebook.presentation.actions;

import java.util.Locale;

import org.apache.log4j.Logger;

import edu.uoc.framework.action.ActionResponse;
import edu.uoc.framework.action.ActionSupport;
import edu.uoc.framework.utilities.Constants;
import edu.uoc.phonebook.presentation.forms.LanguageForm;

/**
 * Acción que lleva a cabo el cambio de idioma en el sistema.
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class ChangeLanguage extends ActionSupport
{
	private static Logger log = Logger.getLogger(ChangeLanguage.class);
	
	@Override
	public ActionResponse actionExecute()
	throws Exception
	{
		LanguageForm languageForm = (LanguageForm)getForm();
		
		if ("en".equalsIgnoreCase(languageForm.getLanguage()))
		{
			//Si el idioma seleccionado es inglés, se cambia el locale de la aplicación a "en_EN".
			setSessionAttribute(Constants.JavaMVC_Locale, new Locale("en","EN"));
			log.info("Se ha cambiado el idioma de la aplicación a Inglés");
		}
		else
		{
			//Si el idioma seleccionado es español, se cambia el locale de la aplicación a "es_ES".
			setSessionAttribute(Constants.JavaMVC_Locale, new Locale("es","ES"));
			log.info("Se ha cambiado el idioma de la aplicación a Español");
		}
		return new ActionResponse(languageForm.getFrom());
	}
}