package edu.uoc.phonebook.presentation.actions;

import javax.servlet.http.HttpSession;

import org.apache.log4j.Logger;

import edu.uoc.framework.action.ActionResponse;
import edu.uoc.phonebook.business.dataobject.User;

/**
 * Acción que lleva a cabo el cierre de la sesión de un usuario logado en el sistema.
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class Logout extends ActionBase 
{
	private static Logger log = Logger.getLogger(Logout.class);
	
	@Override
	public ActionResponse doExecute(User user)
	throws Exception
	{
		HttpSession session = null;

		//Si existe sesion activa se eliminan los datos del usuario logado.
		if ((session = getSession())!=null)
			session.removeAttribute("user");
		
		log.info ("El usuario " + user.getUsername() + " hace un logout de la aplicación");
		
		return new ActionResponse("login");
	}
}