package edu.uoc.phonebook.presentation.actions;

import org.apache.log4j.Logger;

import edu.uoc.framework.action.ActionResponse;
import edu.uoc.framework.action.ActionSupport;

/**
 * Acción que comprueba, ante una solicitud de la página de inicio,
 * si el usuario se encuetra con una sesión activa o no para redirigirlo a la
 * pantalla de login o al menú principal de la aplicación. 
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class PreLogin extends ActionSupport 
{
	private static Logger log = Logger.getLogger(PreLogin.class);
	
	@Override
	public ActionResponse actionExecute()
	throws Exception 
	{
		ActionResponse actionResponse = new ActionResponse("notLogged");
		if (getSession()!=null)
		{
			//Se comprueba si los datos de usuario existían o no en sesión.
			if ((getSessionAttribute("user")) != null)
			{
				actionResponse = new ActionResponse("logged");
				log.info("El usuario ya disponía de una sesión activa");
			}
		}
		return actionResponse;
	}
}