package edu.uoc.phonebook.presentation.forms;

import org.apache.commons.lang3.StringUtils;

import edu.uoc.framework.core.ContextObject;
import edu.uoc.framework.form.Form;
import edu.uoc.framework.form.FormErrors;
import edu.uoc.framework.utilities.I18N.Message;

/**
 * Clase que representa los datos enviados en el formulario de acceso al sistema.
 * 
 * @author Alejandro Marmelo Insua
 *
 */
public class LoginForm implements Form 
{
	private String username;
	private String password;
	
	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * Método que comprueba si las credenciales de acceso al sistema se ha informado. 
	 */
	public FormErrors validate(ContextObject contextObject)
	throws Exception 
	{
		FormErrors formErrors = new FormErrors();
		//Se comprueba que el username se haya informado.
		if (StringUtils.isBlank(username))
			formErrors.addError("errors", new Message("login.username.field.empty"));
		//Se comprueba que el password se haya informado.
		else if (StringUtils.isBlank(password))
			formErrors.addError("errors", new Message("login.password.field.empty"));
		return formErrors;
	}
}
